LibreOffice: TextFrames Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
TextFrames Service Referencepublished

This is the collection of all TextFrame instances within a context (e.g. More...

Inheritance diagram for TextFrames:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| This interface makes it possible to access all TextFrame instances within this context (e.g. More...
interface | com::sun::star::container::XIndexAccess
| This interface makes it possible to access all TextFrame instances within this context (e.g. More...
interface | com::sun::star::container::XContainer
| This optional interface makes it possible to register for events which occur upon insertion and removal of TextFrame instances. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...

## Detailed Description

This is the collection of all TextFrame instances within a context (e.g.

a document).

## Exported Interfaces

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer
| optional

This optional interface makes it possible to register for events which occur upon insertion and removal of TextFrame instances.

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

This interface makes it possible to access all TextFrame instances within this context (e.g.

a document) by its index.

The type of the interfaces returned by this collection is always "XTextFrame".

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

This interface makes it possible to access all TextFrame instances within this context (e.g.

a document) by its name.

The type of the interfaces returned by this collection is always "XTextFrame".

The documentation for this service was generated from the following file:

- com/sun/star/text/TextFrames.idl